<ui:composition xmlns:rich="http://richfaces.org/rich"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            <s:div id="globalDiv">
                <h1>#{messages['gazelle.pam.ListGraphml']}</h1>
                <s:div id="tableDiv">
                    <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                        <ui:define name="panel_title">#{messages['gazelle.pam.Table']}</ui:define>
                        #{graphmlListManager.init()}
                        <rich:dataTable id="graphTable"
                                        rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                        value="#{graphmlListManager.listGraphDescription}" var="currentGraph"
                                        render="ds">
                            <g:column>
                                <ui:define name="header">#{messages['gazelle.simulator.pam.ID']}</ui:define>
                                #{currentGraph.id}
                            </g:column>
                            <g:column>
                                <ui:define name="header">#{messages['gazelle.simu.Name']}</ui:define>
                                #{currentGraph.name}
                            </g:column>
                            <g:column>
                                <ui:define name="header">#{messages['net.ihe.gazelle.simulators.Movements']}</ui:define>
                                #{currentGraph.edges}
                            </g:column>
                            <g:column>
                                <ui:define name="header">#{messages['net.ihe.gazelle.simulators.PatientStatuses']}</ui:define>
                                #{currentGraph.vertices}
                            </g:column>
                            <g:column>
                                <ui:define name="header">#{messages['net.ihe.gazelle.simulators.Description']}</ui:define>
                                #{currentGraph.description}
                            </g:column>
                            <g:column id="actionColumn">
                                <ui:define name="header">#{messages['gazelle.pam.Actions']}</ui:define>
                                <div class="gzl-never-wrap">
                                    <h:commandLink id="viewActionButton"
                                                   title="#{messages['net.ihe.gazelle.simulators.ViewGraph']}"
                                                   action="#{graphmlListManager.displayGraphml(currentGraph)}"
                                                   oncomplete="jq162('#iconPopup').modal('show');">
                                        <span class="gzl-icon-search"></span>
                                    </h:commandLink>
                                    <h:commandLink id="runActionButton"
                                                   rendered="#{currentGraph.active == true}"
                                                   title="#{messages['net.ihe.gazelle.simulators.RunAutomatonWithSelectedGraph']}"
                                                   action="#{graphmlListManager.runAutomaton(currentGraph)}"
                                                   oncomplete="jq162('#iconPopup').modal('show');">
                                        <span class="gzl-icon-play"></span>
                                    </h:commandLink>
                                    <h:commandLink id="updateActionButton"
                                                   title="#{messages['net.ihe.gazelle.simulators.EditGraph']}"
                                                   action="#{graphmlListManager.editGraphml(currentGraph)}"
                                                   rendered="#{s:hasRole('admin_role')}"
                                                   oncomplete="jq162('#iconPopup').modal('show');">
                                        <span class="gzl-icon-pencil"></span>
                                    </h:commandLink>
                                    <a4j:commandLink id="disableActionButton"
                                                     title="#{messages['net.ihe.gazelle.patientmanager.DisableGraph']}"
                                                     rendered="#{s:hasRole('admin_role') and currentGraph.active == true}"
                                                     render="globalDiv"
                                                     action="#{graphmlManager.toggleGraphStatus(currentGraph)}">
                                        <span class="gzl-icon-circle-green"></span>
                                    </a4j:commandLink>
                                    <a4j:commandLink id="enableActionButton"
                                                     title="#{messages['net.ihe.gazelle.patientmanager.EnableGraph']}"
                                                     rendered="#{s:hasRole('admin_role') and currentGraph.active == false}"
                                                     render="globalDiv"
                                                     action="#{graphmlManager.toggleGraphStatus(currentGraph)}">
                                        <span class="gzl-icon-circle-red"></span>
                                    </a4j:commandLink>
                                    <a4j:commandLink id="deleteActionButton"
                                                     title="#{messages['gazelle.pam.DeleteGraph']}"
                                                     rendered="#{s:hasRole('admin_role') and currentGraph.active == false and graphmlManager.canBeDeleted(currentGraph)}"
                                                     action="#{graphmlManager.setSelectedGraph(currentGraph)}"
                                                     onclick="jq162('#deletePopup').modal('show');">
                                        <span class="gzl-icon-trash-o"></span>
                                    </a4j:commandLink>
                                </div>
                            </g:column>
                            <f:facet name="footer">
                                <ui:include src="/util/datatableFooter.xhtml">
                                    <ui:param name="dataScrollerId" value="ds"/>
                                    <ui:param name="dataTableId" value="graphTable"/>
                                </ui:include>
                            </f:facet>
                        </rich:dataTable>
                        <ui:define name="panel_footer">
                            <a4j:commandButton id="createNewGraphButton"
                                               action="#{graphmlListManager.createGraphml()}"
                                               rendered="#{s:hasRole('admin_role')}"
                                               styleClass="gzl-btn-blue" value="#{messages['gazelle.pam.CreateNewGraph']}"/>
                        </ui:define>
                    </ui:decorate>
                </s:div>

                <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
                    <ui:param name="popup_id" value="deletePopup"/>
                    <ui:param name="styleClass" value="modal-sm"/>
                    <ui:param name="headerStyleClass" value="gzl-text-red"/>
                    <ui:define name="popup_title">
                        <span class="fa fa-exclamation-triangle"></span>
                        #{messages['gazelle.pam.DeleteGraph_2']}
                    </ui:define>
                    <ui:param name="bodyStyleClass" value="bg-warning"/>
                    <p>#{messages['gazelle.pam.AreYouSureToDeleteTheGraph']}</p>
                    <ui:define name="popup_footer">
                        <a4j:commandButton value="#{messages['users.Delete']}"
                                           action="#{graphmlManager.deleteSelectedGraph()}"
                                           render="tableDiv"
                                           oncomplete="jq162('#deletePopup').modal('hide');"
                                           styleClass="gzl-btn-red"/>
                        <a4j:commandButton value="#{messages['gazelle.HL7Common.Back']}"
                                           styleClass="gzl-btn"
                                           oncomplete="jq162('#deletePopup').modal('hide');"/>
                    </ui:define>
                </ui:decorate>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>
